Wt: Wt::Ext::AbstractToggleButton Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions
Wt::Ext::AbstractToggleButton Class Reference
Ext widgets (Wt::Ext, deprecated)

Abstract base class for radio button and check box. More...

`#include <Ext/AbstractToggleButton>`

Inheritance diagram for Wt::Ext::AbstractToggleButton:
[legend]

List of all members.

## Public Slots
void | setChecked (bool)
| Change the state of the button.
virtual void | setChecked ()
| Set the button checked.
virtual void | setUnChecked ()
| Set the button unChecked.
## Public Member Functions
void | setText (const WString &text)
| Change the text of the label.
const WString | text () const
| Get the text of the label.
bool | isChecked () const
| Returns the state of the button.
EventSignal & | checked ()
| Signal emitted when the button gets checked.
EventSignal & | unChecked ()
| Signal emitted when the button gets unChecked.

## Detailed Description

Abstract base class for radio button and check box.

Ext/AbstractToggleButton A toggle button provides a button with a boolean state (checked or unchecked), and a text label.

To act on a change of the state, you can listen to the checked() or unChecked() signals.

The current state (checked or unchecked) may be inspected using the isChecked() method.

The API is identical to the WAbstractToggleButton API.

## Member Function Documentation

EventSignal & Wt::Ext::AbstractToggleButton::checked | ( |  | ) |

Signal emitted when the button gets checked.

See also:
  unChecked()

void Wt::Ext::AbstractToggleButton::setChecked | ( | bool | how | ) | `[slot]`

Change the state of the button.

Does not emit the checked() or unChecked() signals.

See also:
  setChecked(), setUnChecked()

void Wt::Ext::AbstractToggleButton::setChecked | ( |  | ) | `[virtual, slot]`

Set the button checked.

Does not emit the checked() signal.

See also:
  setChecked(bool)

void Wt::Ext::AbstractToggleButton::setUnChecked | ( |  | ) | `[virtual, slot]`

Set the button unChecked.

Does not emit the unChecked() signal.

See also:
  setChecked(bool)

EventSignal & Wt::Ext::AbstractToggleButton::unChecked | ( |  | ) |

Signal emitted when the button gets unChecked.

See also:
  checked()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator